
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>网络编程：如何生成XML数据 / iVAN</title>

    <meta name="description" content="网络编程：如何生成XML数据 xml|编程|生成xml|数据|网络 一,必须弄清楚最终需要的是什么 我们通过asp或其他动态编程语言,最终需要的是XML格式的数据,这点和XML数据所在的文件载体无关,它可以是实实在在的XML文件,比如:http://www.dw8.cn/common/dw8.xml .也可以为asp文档,比如:http://www.cnbruce.com/blog/rss2.asp 他们都是XML数据的体现,为了实现XML数据的动态,所以需要使用到动态编程语言,比如ASP来实现生成它. 二,如何生成动态的X">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">网络编程：如何生成XML数据</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>xml|编程|生成xml|数据|网络</p>
<p><strong>一，必须弄清楚最终需要的是什么</strong></p>
<p>我们通过asp或其他动态编程语言，最终需要的是XML格式的数据，这点和XML数据所在的文件载体无关，它可以是实实在在的XML文件，比如：<u>http://www.dw8.cn/common/dw8.xml</u> 。也可以为asp文档，比如：<u>http://www.cnbruce.com/blog/rss2.asp</u></p>
<p>他们都是XML数据的体现，为了实现XML数据的动态，所以需要使用到动态编程语言，比如ASP来实现生成它。</p>
<p><strong>二，如何生成动态的XML文档</strong></p>
<p>如果是生成XML文件，介于动态文档是ASP格式的，所以必须借助FSO进行XML文件的生成，比如：</p>
<p>&lt;%<br />xmlfile=server.mappath("test1.xml")<br />Set fso = CreateObject("Scripting.FileSystemObject")<br />Set MyFile = fso.CreateTextFile(xmlfile,True)<br />MyFile.WriteLine("&lt;?xml version=""1.0"" encoding=""gb2312""?&gt;")<br />MyFile.WriteLine("&lt;世界&gt;")<br />MyFile.WriteLine("&lt;你好&gt;hello,world&lt;/你好&gt;")<br />MyFile.WriteLine("&lt;/世界&gt;")<br />MyFile.Close<br />%&gt;<br />&lt;a href="test1.xml"&gt;查看XML文件内容&lt;/a&gt;</p>
<p>有关FSO的操作参看<br /><u>http://www.cnbruce.com/blog/showlog.aspcat_id=26&amp;log_id=440</u></p>
<p>如果按照生成动态的XML数据文件来说，则是将MyFile.WriteLine的相关内容在动态文档中通过程式的手段来控制XML节点的名称和值即可。</p>
<p><strong>三，如何使用动态文档生成XML数据</strong></p>
<p>那如果不是生成XML文件，直接在动态文档上输出XML数据呢，须声明文件的类型（即Response.ContentType）</p>
<p>&lt;%Response.ContentType = "text/XML"%&gt;</p>
<p>比如直接浏览如下的动态ASP文档，在浏览器中下则显示为XML数据树</p>
<p>&lt;%<br />With Response<br />    .ContentType = "text/XML"<br />    .write("&lt;?xml version=""1.0"" encoding=""gb2312""?&gt;")<br />    .write("&lt;世界&gt;")<br />    .write("&lt;你好&gt;hello,world&lt;/你好&gt;")<br />    .write("&lt;/世界&gt;")<br />End with<br />%&gt;</p>
<p>生成的XML文件，其优势就是处理该XML数据的文档可以是静态文档，比如HTML文件通过Javascript、XMLDOM来解析XML，同时也易于数据的保留，而动态文档上的动态XML数据则没有这样有点。不过，在如今动态文档无处不在用的时代，似乎这个优势对于一些应用来说是无甚影响，甚至来说，动态文档的XML数据流反而更具优势：更及时、更动态。</p>
<p><strong>四，生成XML数据就是这样行了吗？</strong></p>
<p>无论是通过生成具体的XML文件，还是动态的XML数据流，只要按照XML的格式输出相关XML节点和值就可以了，这样看来XML似乎很简单。但这并没有真正接触到XML的操作。在我们看来，这些XML无非就是一些成对的标签和相关字符组成的数据记录，毫无生命力可言。然而事实上，通过XMLDOM来操作XML则显示了XML的绝对优势（这点在生成XML时优势不明显，却在添加、删除XML节点时体验无限）。</p>
<p>使用XMLDOM创建XML文档，可使用Save方法生成XML文档，使用createElement方法创建XML元素、createNode创建节点，其实对于XML中的任何标签的创建都可以任意选择其中的一种，不过一般使用createElement创建顶层（根）元素，使用createNode创建子节点（元素），当然createElement和createNode的使用方法也是不同。</p>
<p>&lt;%<br />Set objXMLdoc = CreateObject("Microsoft.XMLDOM")</p>
<p>Set world=objXMLdoc.createElement("世界")<br />objXMLdoc.appendChild(world)</p>
<p>Set hello=objXMLdoc.createNode("element", "你好", "")<br />hello.Text = "hello,world"<br />objXMLdoc.documentElement.appendChild(hello)</p>
<p>objXMLdoc.Save Server.MapPath("test2.xml")<br />Set objXMLdoc = Nothing<br />%&gt;</p>
<ol>
<li>CreateObject("Microsoft.XMLDOM") 声明使用XMLDOM对象</li>
<li>在元素或节点被建立（createElement、createNode）时，其并没有加到文件树中，若要将节点加到文件树中，则需要插入，如appendChild。</li>
<li>xmlDocument.createNode(type, name, nameSpaceURI) 表示建立一个指定型态、名称，及命名空间的新节点<br />type 用来确认要被建立的节点型态，name 是一个字符串来确认新节点的名称，命名空间的前缀则是选择性的。nameSpaceURI 是一个定义命名空间URI 的字符串。如果前缀被包含在名称参数中，此节点会在nameSpaceURI 的内文中以指定的前缀建立。如果不包含前缀，指定的命名空间会被视为预设的命名空间。<br />objXMLdoc.createNode("element", "你好", "") 等同于 objXMLdoc.createElement("你好")</li>
<li>4，objXMLdoc.documentElement.appendChild(hello)其实就是XML文档根元素下建立节点，在本例中等同于 world.appendChild(hello)，world为本例中的节点名，以此类推。</li>
</ol>
<p>所以可以这样来写：</p>
<p>&lt;%<br />Set objXMLdoc = CreateObject("Microsoft.XMLDOM")</p>
<p>Set world=objXMLdoc.createElement("世界")<br />objXMLdoc.appendChild(world)</p>
<p>Set hello=objXMLdoc.createElement("你好")<br />hello.Text = "hello,world"<br />world.appendChild(hello)</p>
<p>objXMLdoc.Save Server.MapPath("test2.xml")<br />Set objXMLdoc = Nothing<br />%&gt;</p>
<p>需要注意的是，通过XMLDOM生成的XML文件都是UTF-8格式的，这对我们所有应用程序文件的UTF-8化作了很好的推介。</p>
<p><strong>总结</strong></p>
<p>生成XML数据，可以使用FSO，如FSO被禁用，可使用XMLDOM，当然还可以直接使用动态文档。不过如果融会贯通地掌握XML的操作，XMLDOM操作是必须的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-29 19:44:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae/" title="数据">数据</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e6%a1%a3/" title="文档">文档</a>, <a href="https://www.iamivan.net/tag/xml/" title="xml">xml</a>, <a href="https://www.iamivan.net/tag/%e8%8a%82%e7%82%b9/" title="节点">节点</a>, <a href="https://www.iamivan.net/tag/%e7%94%9f%e6%88%90/" title="生成">生成</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a8%e6%80%81/" title="动态">动态</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a8%e6%80%81%e7%94%9f%e6%88%90/" title="动态生成">动态生成</a>, <a href="https://www.iamivan.net/tag/%e5%91%bd%e5%90%8d%e7%a9%ba%e9%97%b4%e7%a1%ae%e8%ae%a4/" title="命名空间确认">命名空间确认</a>, <a href="https://www.iamivan.net/tag/%e7%94%9f%e6%88%90xml/" title="生成XMl">生成XMl</a>, <a href="https://www.iamivan.net/tag/%e7%94%9f%e6%88%90xml%e6%96%87%e4%bb%b6/" title="生成XML文件">生成XML文件</a>, <a href="https://www.iamivan.net/tag/%e5%8a%a8%e6%80%81%e7%94%9f%e6%88%90xml/" title="动态生成XML">动态生成XML</a>, <a href="https://www.iamivan.net/tag/xml%e7%94%9f%e6%88%90/" title="XML生成">XML生成</a>, <a href="https://www.iamivan.net/tag/%e7%94%9f%e6%88%90%e6%96%87%e6%a1%a3/" title="生成文档">生成文档</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>网络编程：如何生成XML数据的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LpdBD1b.html" rel="bookmark">编程：如何生成XML数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一,必须弄清楚最终需要的是什么 我们通过asp或其他动态编程语言,最终需要的是XML格式的数据,这点和XML数据所在的文件载体无关,它可以是实实在在的XML文件,比如:http://www.dw8.cn/common/dw8.xml .也可以为asp文档,比如:http://www.cnbruce.com/blog/rss2.asp 他们都是XML数据的体现,为了实现XML数据的动态,所以需要使用到动态编程语言,比如ASP来实现生成它. 二,如何生成动态的XML文档 如果是生成XML文件,介于动			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/apXN6Wb.html" rel="bookmark">如何生成XML数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.必须弄清楚最终需要的是什么 我们通过asp或其他动态编程语言,最终需要的是XML格式的数据,这点和XML数据所在的文件载体无关,它可以是实实在在的XML文件,比如:http://www.dw8.cn/common/dw8.xml .也可以为asp文档,比如:http://www.cnbruce.com/blog/rss2.asp 他们都是XML数据的体现,为了实现XML数据的动态,所以需要使用到动态编程语言,比如ASP来实现生成它. 二.如何生成动态的XML文档 如果是生成XML文件,介于动			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzw5rmM.html" rel="bookmark">如何用ASP生成XML数据文档</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.必须弄清楚最终需要的是什么 我们通过asp或其他动态编程语言,最终需要的是XML格式的数据,这点和XML数据所在的文件载体无关,它可以是实实在在的XML文件,比如:http://www.dw8.cn/common/dw8.xml .也可以为asp文档,比如:http://www.cnbruce.com/blog/rss2.asp 他们都是XML数据的体现,为了实现XML数据的动态,所以需要使用到动态编程语言,比如ASP来实现生成它. 二.如何生成动态的XML文档 如果是生成XML文件,介于动			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1Mv5y8b.html" rel="bookmark">如何用ASP生成XML数据文档（RSS订阅）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				rss|xml|生成xml|数据 一.必须弄清楚最终需要的是什么 我们通过asp或其他动态编程语言,最终需要的是XML格式的数据,这点和XML数据所在的文件载体无关,它可以是实实在在的XML文件,比如:http://www.xrss.cn/WebRss.Asp.也可以为asp文档,比如:http://www.xrss.cn/WebRss.Asp?SortId=5 他们都是XML数据的体现,为了实现XML数据的动态,所以需要使用到动态编程语言,比如ASP来实现生成它. 二.如何生成动态的XML文档			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA7rvXz.html" rel="bookmark">ASP生成XML数据文档</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.必须弄清楚最终需要的是什么      我们通过asp或其他动态编程语言,最终需要的是XML格式的数据,这点和XML数据所在的文件载体无关,它可以是实实在在的XML文件,比如:/rss_1.xml .也可以为asp文档,比如:/rss.asp?id=42      他们都是XML数据的体现,为了实现XML数据的动态,所以需要使用到动态编程语言,比如ASP来实现生成它.      二.如何生成动态的XML文档      如果是生成XML文件,介于动态文档是ASP格式的,所以必须借助FSO进行XM			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnxmkZb.html" rel="bookmark">android网络编程：URL获取数据和图片</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先,开始最简单的网络编程实战,URL实现网络连接,不懂的童鞋可以参考JAVA中的URL编程,其原理是 一样的,在这里不再多做解释. 直接贴出实现源代码: public class DataActivity extends Activity { private EditText imagePathText; private static final String TAG=&quot;DataActivity&quot;; private ImageView imageView; @Override pub			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6Y2LOb.html" rel="bookmark">iOS网络编程-iCloud键值数据存储编程实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				iCloud键值数据存储设计 iCloud键值数据存储编程实例,画面中有两个开关控件,左图是设备1点击&quot;设置iCloud数据&quot;按钮,将控件状态保存到iCloud服务器.右图是设备2画面,过几秒钟后设备2收到变更通知.     配置Xcode工程 使用Xcode创建一个iOS工程,工程创建好之后,选择TAGETS→MyNotes→Summary→Entitlements,我们可以在这里配置授权信息. 然后我们还需要应用设置代码签名标识,代码签名标识需要选择这个配置概要文件的.选择TAGE			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/aM6YJAb.html" rel="bookmark">Ajax实战：为客户端生成XML数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				代码清单3-5展示了实现这个特定需求的迅速而粗糙[13]的解决方案.这个例 子使用PHP和MySQL数据库,但是我们关注的重点是大体上的结构.如果换成ASP .JSP或者Ruby脚本,可能会得到结构类似的代码. 代码清单3-5 迅速而随性地从数据库查询结果生成XML数据流 代码清单3-5中的PHP页面可以生成类似于代码清单3-6的XML页面,在这个例 子中,数据库里有两个匹配的产品.这里,代码进行了缩排以便于阅读.之所以 选择XML作为客户端和服务器之间通信的媒介,是因为它通常都用于这个目的,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrv8omM.html" rel="bookmark">iOS网络编程-ASIHTTPRequest小例子-数据请求队列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实例:请求队列 我们通过一个例子介绍一下请求队列使用,我们设计了一个应用,用户点击GO按钮从服务器同时下载两张图片显示在画面中.   我们直接看看主视图控制器ViewController.h代码如下: #import &quot;ASIHTTPRequest.h&quot; #import &quot;ASINetworkQueue.h&quot; #import &quot;NSNumber+Message.h&quot; #import &quot;NSString+URLEncoding.h&quo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxPVRM.html" rel="bookmark" class="title">揭秘白帽黑客：优秀女白帽子比大熊猫还稀罕</a>
					<div>
						12306的用户信息泄露漏洞.携程用户信息泄露漏洞--频发的系统漏洞隐患也让网络安全问题愈发受到关注.发现这些安全漏洞的,并不是某个人或者某个公司,而是一个被称为&quot;白帽子&quot;的群体. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1EO8M.html" rel="bookmark" class="title">HTTP协议header中Content-Disposition中文文件名乱码</a>
					<div>
						在做文件下载时当文件名为中文时经常会出现乱码现象.  参考文章 http://blog.robotshell.org/2012/deal-with-http-header-encoding-for-f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zen3jb.html" rel="bookmark" class="title">python轻松实现代码编码格式转换</a>
					<div>
						 由于某些原因,需要将代码从A机房迁移到B机房,这两个之间不能互相访问,但是历史原因导致A机房的代码全是utf8编码的,B机房要求是GBK编码,看看这个怎么解决.虽然很简单,但是还是要推荐给大家,需要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj2WZb.html" rel="bookmark" class="title">Dom &plus;　Javascript 在本机浏览器中对的表格数据进行排序</a>
					<div>
						dom|javascript|浏览器|排序|数据 在本机浏览器中对的表格数据进行排序在Web应用中,数据从服务器端返回到客户端,以表格形式表现出来.如果要对数据集按指定的列排序显示,常规做法都是向服务 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkjK7M.html" rel="bookmark" class="title">C&num;中父窗口和子窗口之间实现控件互操作</a>
					<div>
						父窗口|控件|子窗口 很多人都苦恼于如何在子窗体中操作主窗体上的控件,或者在主窗体中操作子窗体上的控件.相比较而言,后面稍微简单一些,只要在主窗体中创建子窗体的时候,保留所创建子窗体对象即可. 下面重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQdOoz.html" rel="bookmark" class="title">Photoshop调色教程：调出森林婚片温馨的暖色调</a>
					<div>
						原图素材选择的场景非常经典,不过背景部分树林少了一些暖色,不能更好的衬托情侣之间的爱情暖意.处理的时候可以适当把图片的色调调成暖色,感觉上是晨曦中有股较浓的情意在温暖整个画面. 原图 最终效果 1.打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJv1wz.html" rel="bookmark" class="title">VB編程規約</a>
					<div>
						VB編程規約 jugnlesong 1． 對象命名規約 對象種類 對象名稱 對象前綴 例 FORM 窗體 frm frmMain MDI 子窗體 子窗體 mdi mdiNote PICTURE BOX ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnnRDz.html" rel="bookmark" class="title">Javascript中CTRL&plus;回车提交表单</a>
					<div>
						&lt;script type=&quot;text/javascript&quot;&gt; //&lt;![CDATA[ Javascript 函数: Ctrl+回车 提交表单 // 例: &lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwlJdRb.html" rel="bookmark" class="title">LNMP环境搭建详解</a>
					<div>
						物理环境: 操作系统:centos 5.5 32位 mysql数据库:mysql-5.1.58.tar.gz nginx软件包:nginx-0.7.65.tar.gz PHP软件包:php-5.3.8 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBVyKb.html" rel="bookmark" class="title">使用Spring Framework设计和开发SCA组件，第1部分</a>
					<div>
						使用Spring Framework设计和开发SCA组件,第1部分 - 三剑客:Spring.SCA和Apache Tuscany 在 &quot;使用 Spring Framework 设计和开发  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jDEob.html" rel="bookmark" class="title">16个不可不知的Linux服务器监控命令</a>
					<div>
						想不想知道你的服务器到底在干什么?那么你要知道本文介绍的这些基本命令.一旦你熟悉掌握了这些命令,就为成为专业的 Linux系统管理员打下了基础. 你可以通过图形化用户界面(GUI)程序来获取这些外壳命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxqDKb.html" rel="bookmark" class="title">Javascript实现重力弹跳拖拽运动效果示例</a>
					<div>
						本文为大家详细介绍下使用Javascript实现重力弹跳拖拽运动的具体调用方法,感兴趣的朋友可以参考下哈   演示地址: http://www.ihuxu.com/project/gcdmove/ 调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK0NAp.html" rel="bookmark" class="title">php模拟服务器实现autoindex效果的方法</a>
					<div>
						 这篇文章主要介绍了php模拟服务器实现autoindex效果的方法,实例分析了php操作URL及传递参数的技巧,具有一定参考借鉴价值,需要的朋友可以参考下     本文实例讲述了php模拟服务器实现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLgjmb.html" rel="bookmark" class="title">360网盾什么是广告过滤？</a>
					<div>
						  360网盾的广告过滤功能支持使用360网友上传的广告过滤规则,过滤各类浮动窗口广告.弹出广告等等,您可以手动开启广告过滤功能,也可以上传自己的广告过滤规则到360网站分享给其他用户.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBjm8z.html" rel="bookmark" class="title">xp系统能支持多大的内存？</a>
					<div>
						有很多朋友对电脑内存都存在一个误区,那就是认为只要自己安装多大内存的电脑,系统就会读多大的内存,其实不然,无论是XP.WIN7读取内存都会有一个限额,在我们安装的内存超过限定的内存的时候,多余的部分是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EK08M.html" rel="bookmark" class="title">java-关于Criteria与SQL&lpar;HQL&rpar;</a>
					<div>
						问题描述 关于Criteria与SQL(HQL) 大家好,我是刚刚入行的新人,我有个疑问,在hibernate中的criteria查询和sql或hql查询,各自有什么优势和缺点?就不用说criteri ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kYj4M.html" rel="bookmark" class="title">oracle 11g在linux下的安装指引-tina</a>
					<div>
						一.安装前准备工作 内存 1.5G,至少1G #grep  MemTotal  /proc/meminfo  swap交换空间  3G #grep SwapTotal  /proc/meminfo   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQwZdz.html" rel="bookmark" class="title">数据结构 二叉树-二叉树 节点类型为结构类型 如何初始化和赋值？</a>
					<div>
						问题描述 二叉树 节点类型为结构类型 如何初始化和赋值? struct ItemNode { int id; string name; }; typedef struct BNode { ItemNo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNm4Vz.html" rel="bookmark" class="title">spring&plus;mybatis异常不回滚</a>
					<div>
						问题描述 spring+mybatis异常不回滚 代码如下:applicationContext-mybatis.xml &lt;bean id=&quot;&quot;sSF&quot;&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NayNM.html" rel="bookmark" class="title">POJ 1228 凸包</a>
					<div>
						这题考察凸包的理解,题意让求一个凸包上每条边都有三个点,如果少于三个点那么凸包就不确定了,三点以上如果再加一个点就形成不了凸包了.通过极角排序完然后求跟凸包的相邻两点共线的点有没有就可以了,写得比较挫 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQR0Ap.html" rel="bookmark" class="title">今天正式入伏了，最全的三伏开运养生习俗都在这里了！！</a>
					<div>
						2016年三伏天 初伏10天 2016年7月17日~2016年7月26日 中伏20天 2016年7月27日~2016年8月15日 末伏10天 2016年8月16日~2016年8月25日 三伏天 201 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEXVBp.html" rel="bookmark" class="title">InfoSphere Streams如何帮助您将数据转换为洞察</a>
					<div>
						IBM 在多年前就引入了 &quot;智慧地球&quot; 这个术语.利用这个术语,可以描述 3 个主要属性: 物联化 智能化 互连化 长久以来,这已经形成一个现实.想象一下智能手机的激增,这实际上可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQPg6z.html" rel="bookmark" class="title">libevent （二） 接收TCP连接</a>
					<div>
						Evconnlistener 机制为您提供了侦听和接受传入的 TCP 连接的方法.下面的函数全部包含在`&lt;event2/listener.h&gt;`中. evconnlistener 创建监听 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmwKWz.html" rel="bookmark" class="title">9分钟教程之阿里云服务器搭建wordpres站点</a>
					<div>
						导语 前面讲了怎么配置阿里云服务器,今天讲讲怎么在阿里云服务器快速搭建wordpress网站. 下载wordpress wordpress最新下载地址:https://wordpress.org/la ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRm12p.html" rel="bookmark" class="title">9岁微软认证系统工程师：获特批不用天天上学</a>
					<div>
						卡拉桑九岁生日当天吃上了有Windows 7图案的蛋糕 北京时间2月5日下午消息,据外国媒体报道,马其顿一直期望成为巴尔干地区的技术中心,让其感到自豪的是,该国年仅九岁的男孩卡拉桑(Marko Cal ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWJBeM.html" rel="bookmark" class="title">谁有mexLasso&period;mexw32编译之前的原c&plus;&plus;代码，或者怎么找到</a>
					<div>
						问题描述 谁有mexLasso.mexw32编译之前的原c++代码,或者怎么找到 谁有mexLasso.mexw32编译之前的原c++代码,或者怎么找到,多谢啦 解决方案 http://spams-d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2A9Yz.html" rel="bookmark" class="title">Yii框架实现数据分页及排序的例子</a>
					<div>
						在控制器:  代码如下 复制代码 class PostController extends Controller {     function actionIndex()     {          ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdm1aAz.html" rel="bookmark" class="title">微信电脑版文件传输助手怎么用&quest;微信pc版文件传输助手用法</a>
					<div>
						文件传输助手使用方法: 1.在电脑中登录微信 wx.qq.com 然后利用手机扫一扫登录自己的微信(打开微信,然后利用微信的扫一扫就可以登录了),然后在电脑中打开&quot;文件传输助手&quot;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOagDb.html" rel="bookmark" class="title">请教hibernate 连续查询问题</a>
					<div>
						问题描述 我对一个基表查询A a=find(&quot;hql&quot;).get(0);然后a.setProp(555); 然后对换一个字段查询B b=find(&quot;ohterhql&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQWWOQp.html" rel="bookmark" class="title">【求助】，主窗体与子窗体问题激活问题</a>
					<div>
						问题描述 线程和子窗体都是主窗体中定义的我在主窗体中创建了一个线程用来做显示一个子窗体这时主窗体正在加载数据子窗体显示正在加载中,当加载完成之后,自行关闭,并调用dispose销毁了可是这时主窗体自动 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
